Get Public Withdrawal Config
curl --request GET \
--url https://api.hel.io/v1/withdrawal-configs/{withdrawalConfigId}/publicimport requests
url = "https://api.hel.io/v1/withdrawal-configs/{withdrawalConfigId}/public"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hel.io/v1/withdrawal-configs/{withdrawalConfigId}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"platform": "<string>",
"disabled": true,
"disabledBlockchainSymbols": [
"<string>"
],
"enabledFeatures": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fromCurrencies": [
{
"id": "<string>",
"symbol": "<string>",
"decimals": 123,
"mintAddress": "<string>",
"isNative": true,
"features": [
"<string>"
],
"blockchain": {
"id": "<string>",
"name": "<string>",
"symbol": "<string>"
}
}
],
"exchangeRates": [
{
"minimalUnitRate": "<string>",
"decimalRate": "<string>",
"fromCurrencyId": "<string>",
"toCurrencyId": "<string>",
"fromCurrencySymbol": "<string>",
"fromBlockchainSymbol": "<string>",
"toCurrencySymbol": "<string>"
}
],
"minSupportedVersions": {
"packages": {}
}
}WITHDRAWALS
Get Public Withdrawal Config
Returns the public withdrawal configuration for a withdrawalConfigId, including the merchant’s source currencies. No authentication required (rate-limited).
GET
/
v1
/
withdrawal-configs
/
{withdrawalConfigId}
/
public
Get Public Withdrawal Config
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1. For the development environment, use api.dev.hel.io/v1.minSupportedVersions is advisory (not enforced by the API). When using the Withdraw SDK, compare it with isSupported() before starting a flow.Path Parameters
The withdrawal config ID.
Response
Public withdrawal config retrieved successfully.
The withdrawal config ID (withdrawalConfigId).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Advisory minimum client package versions. Soft gate — advertised, not enforced by the API.
Show child attributes
Show child attributes
⌘I
